Most theme authors fix themes in a timely manner, but others won’t 🙁 . There are times you will need to update WooCommerce templates yourself. Its easier than what you think, but it may take you some time.

You need to determine what templates to update, make a backup of old templates and then restore any customizations.

Go to WooCommerce > Status> System Status. Scroll to the end of the page where there is a list of templates overridden by your theme/child theme and a warning message that they need to be updated. For example <aTheme>/woocommerce/cart/cart-totals.php version 2.2.0 is out of date. The core version is 2.3.0 and so on...

Before you do anything .Save a backup of the outdated templates!

Copy the default template from wp-content/plugins/woocommerce/templates/[path-to-the-template] and paste it in your theme folder found at: wp-content/themes/[path-to-theme]

It may take you a while to complete the entire process, but sometimes we have no choice.

If this issue keeps going with future WooCommerce updates and your theme keeps breaking consider changing your theme for a better supported one.

Contact me if you need help making these changes.

Leave a comment

Your email address will not be published.